### Function

# Gimp gradient_segment_set_left_color

#### Declaration [src]

    gboolean
    gimp_gradient_segment_set_left_color (
      const gchar* name,
      gint segment,
      const GimpRGB* color,
      gdouble opacity
    )

#### Description [src]

Sets the left endpoint color of the specified segment

This procedure sets the left endpoint color of the specified segment of the specified gradient.

Available since: | 2.2

#### Parameters

`name` | `const gchar*`
| The gradient name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`segment` | `gint`
| The index of the segment within the gradient.
`color` | `GimpRGB`
| The color to set.
| The data is owned by the caller of the function.
`opacity` | `gdouble`
| The opacity to set for the endpoint.

#### Return value

Returns: | `gboolean`
| TRUE on success.